
AGRO-POPC - Zadanie #2137
Zadanie # 2151 (Nowy): oprogramowanie do monitoringu systemu
Program do monitorowania integralności paczek
2019-09-30 09:14 - Roman Bogacewicz

Status: Zamknięty Start date: 2019-09-30
Priority: Normalny Due date:
Assignee: Tomasz Blazejczyk % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Developer: Rewizja rozwiązania:
Tester: Rewizja testów:
Description

Program do monitorowania paczek będących backup-ami Bazy AGRO w obu lokalizacjach, tzn. czy paczki utrzymują integralność w
czasie przechowywania. Liczenie sum kontrolnych w zadanych przedziałach czasowych.

History
#1 - 2020-01-24 11:20 - Roman Bogacewicz

Moim zdaniem paczki powinny być monitorowane. Tzn.:
Mamy dane (pełne teksty + metadane) w dwóch serwerowniach:
    -  serwerownia na Pawińskiego - serwerownia A
    -  serwerownia na Kupieckiej - serwerownia B
W serwerowni A mamy:
    -  pełne teksty  - PDF-y na macierzy NetApp
    -  metadane - baza PSQL na Yadda-back

    1. Paczkomat robi paczki z pełnych tekstów znajdujących się na macierzy NetApp oraz metadanych znajdujących się w bazie PSQL na Yadd-back.
Dostęp do tych elementów uzyskuje przez odpowiednie fasady programowe znajdujące się na serwerze YADDA-BACK.
    2. Paczki umieszczane są na macierzy NetApp w serwerowni A
    3. Paczki umieszczane są na macierzy NetApp-geo w serwerowni B
    4. Co jakiś, wyznaczony sensownie, czas liczone są sumy kontrolne dla wrzuconych paczek zarówno w serwerowni A jak i B, sumy kontrolne
porównywane są zarówno lokalnie jak i dla paczek w obu serwerowniach.
    5. Co jakiś czas, dobierana jest losowa próbka paczek. Paczki podlegają rozpakowaniu i ich zawartość porównywana jest z zawartością
odpowiadających im elementów na Yaddzie.

Komentarz Tomasza Błażejczyka: "paczki są tworzone z yaddowego katalogu (metadane) i archiwa (pliki), dostęp do tych dwóch jest i tak przez różne
yaddowe fasady ale ogólnie to co napisałeś to prawda - w sensie fizycznej lokalizacji danych"

#2 - 2020-01-24 13:48 - Roman Bogacewicz
- Parent task changed from #2079 to #2151

#3 - 2021-01-22 07:54 - Tomasz Lewandowski
- Status changed from Nowy to Zamknięty
- % Done changed from 0 to 100
